<div class="demo-button-container">
  <button mat-raised-button (click)="addData()" class="demo-button">
    Add data
  </button>
  <button
      mat-raised-button
      [disabled]="!dataToDisplay.length"
      (click)="removeData()"
      class="demo-button">
    Remove data
  </button>
</div>

<table mat-table [dataSource]="dataSource" class="mat-elevation-z8 demo-table">
  <!-- Position Column -->
  <ng-container matColumnDef="nombres">
    <th mat-header-cell *matHeaderCellDef>Nombres</th>
    <td mat-cell *matCellDef="let element">{{element.nombres}}</td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="apellidos">
    <th mat-header-cell *matHeaderCellDef>Apellidos</th>
    <td mat-cell *matCellDef="let element">{{element.apellidos}}</td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="email">
    <th mat-header-cell *matHeaderCellDef>Email</th>
    <td mat-cell *matCellDef="let element">{{element.email}}</td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="celular">
    <th mat-header-cell *matHeaderCellDef>Celular</th>
    <td mat-cell *matCellDef="let element">{{element.celular}}</td>
  </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="fecha">
      <th mat-header-cell *matHeaderCellDef>Fecha</th>
      <td mat-cell *matCellDef="let element">{{element.fecha}}</td>
    </ng-container>

      <!-- Symbol Column -->
  <ng-container matColumnDef="hora">
    <th mat-header-cell *matHeaderCellDef>Hora</th>
    <td mat-cell *matCellDef="let element">{{element.hora}}</td>
  </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="descripcion">
      <th mat-header-cell *matHeaderCellDef>Descripcion</th>
      <td mat-cell *matCellDef="let element">{{element.descripcion}}</td>
    </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>